%define api_version 2.6

%define glibmm_version 2.14.0
%define gnome_vfs_version 2.10.0

%define pkgname gnome-vfsmm
%define major 2.22
Name: libgnome-vfsmm
Version: %major.0
Release: alt1

Summary: A C++ interface for GNOME VFS library

Packager: Vitaly Lipatov <lav@altlinux.ru>

License: LGPL
Group: System/Libraries
Url: http://gtkmm.sourceforge.net/

Source: ftp://ftp.gnome.org/pub/GNOME/sources/%pkgname/%major/%pkgname-%version.tar.bz2

# Automatically added by buildreq on Sun Jan 13 2008
BuildRequires: gcc-c++ gnome-vfs-devel libglibmm-devel

BuildPreReq: doxygen
BuildRequires: gnome-vfs2-devel >= %gnome_vfs_version
BuildRequires: libglibmm-devel >= %glibmm_version

%description
This package provides a C++ interface for gnome-vfs (the GNOME
Virtual File System), which provides an abstraction to common file
system operations like reading, writing and copying files, listing
directories and so on.  It is a subpackage of the gnomemm project,
which provides a C++ interface for GNOME libraries.

%package devel
Summary: Headers and development files of GNOME VFS C++ wrapper
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Requires: gnome-vfs2-devel >= %gnome_vfs_version
Requires: libglibmm-devel >= %glibmm_version

%description devel
This package contains the headers and various development files needed,
when compiling or developing programs which want C++ wrapper of GNOME
VFS library.

%package doc
Summary: Documentation of %pkgname library
Group: Books/Other

%description doc
This package provides API documentation of %pkgname library.

%prep
%setup -q -n %pkgname-%version

%build
%configure --disable-static
%make_build
cd docs/reference && %make

%install
%makeinstall_std

%post -n %name
%post_ldconfig

%postun -n %name
%postun_ldconfig

%files -n %name
%_libdir/*.so.*

%files -n %name-devel
%doc AUTHORS ChangeLog NEWS README
%_includedir/%pkgname-%api_version/
%_libdir/%pkgname-%api_version/
%_pkgconfigdir/*.pc
%_libdir/*.so

%files doc
%doc docs/reference/html/

%changelog
* Tue Apr 15 2008 Vitaly Lipatov <lav@altlinux.ru> 2.22.0-alt1
- new version 2.22.0 (with rpmrb script)

* Sun Jan 13 2008 Vitaly Lipatov <lav@altlinux.ru> 2.20.0-alt1
- new version 2.20.0 (with rpmrb script)
- cleanup spec, update buildreq

* Sat Apr 07 2007 Vitaly Lipatov <lav@altlinux.ru> 2.18.0-alt1
- new version 2.18.0 (with rpmrb script)

* Sat Sep 02 2006 Vitaly Lipatov <lav@altlinux.ru> 2.16.0-alt0.1
- new version 2.16.0 (with rpmrb script)

* Fri Jul 21 2006 Vitaly Lipatov <lav@altlinux.ru> 2.15.1-alt0.1
- new version 2.15.1 (with rpmrb script)
- update buildreq

* Sun Sep 11 2005 Vitaly Lipatov <lav@altlinux.ru> 2.12.0-alt1
- new version

* Thu Mar 17 2005 Vitaly Lipatov <lav@altlinux.ru> 2.10.0-alt1
- new version

* Fri Jan 21 2005 Vitaly Lipatov <lav@altlinux.ru> 2.8.0-alt1
- new version
- build with gcc3.4

* Thu Nov 04 2004 Vitaly Lipatov <lav@altlinux.ru> 2.6.1-alt2
- use a macro for ldconfig
- update build requires (add libGConf2-devel) 

* Mon Jun 07 2004 Vitaly Lipatov <lav@altlinux.ru> 2.6.1-alt1
- first build for Sisyphus (thanks Mandrake)

* Fri May 14 2004 Abel Cheung <deaddog@deaddog.org> 2.6.1-1mdk
- New version

* Wed Apr 28 2004 Abel Cheung <deaddog@deaddog.org> 2.6.0-1mdk
- First Mandrake package
